# ExtendedPublicChat - docs

docs / com.github.insanusmokrassar.TelegramBotAPI.types.chat.abstracts.extended / ExtendedPublicChat

# ExtendedPublicChat

(common) `interface ExtendedPublicChat : ExtendedChat, PublicChat` (source)

### Properties

(common)

#### description

`abstract val description: String`

(common)

#### inviteLink

`abstract val inviteLink: String?`

(common)

#### pinnedMessage

`abstract val pinnedMessage: Message?`

### Inheritors

(common)

#### ExtendedChannelChat

`interface ExtendedChannelChat : ChannelChat, ExtendedPublicChat`

(common)

#### ExtendedGroupChat

`interface ExtendedGroupChat : GroupChat, ExtendedPublicChat`